> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Begin OAuth authorization

> Initiates the OAuth authorization flow for the specified `provider` (e.g. `gmail`, `google_drive`).

The optional `device` query parameter (`web` or `desktop`) determines the post-callback redirect target.

Returns a `url` the client must open to complete authorization.



## OpenAPI

````yaml post /integrations/{provider}/authorize
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /integrations/{provider}/authorize:
    post:
      tags:
        - Integrations
      summary: Begin OAuth authorization
      description: >-
        Initiates the OAuth authorization flow for the specified `provider`
        (e.g. `gmail`, `google_drive`).


        The optional `device` query parameter (`web` or `desktop`) determines
        the post-callback redirect target.


        Returns a `url` the client must open to complete authorization.
      operationId: beginAuthorize
      parameters:
        - schema:
            type: string
            enum:
              - gmail
              - outlook
              - google_drive
              - onedrive
              - dropbox
              - notion
          required: true
          name: provider
          in: path
        - schema:
            type: string
            enum:
              - web
              - desktop
          required: false
          name: device
          in: query
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      url:
                        type: string
                        format: uri
                    required:
                      - url
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '500':
          description: 500 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````